Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components.table
Class WebTableColumn

    java.lang.Object
      org.apache.struts2.components.table.WebTableColumn

    public class WebTableColumn

extends Object

Field Summary
`(package private) String` | `_displayName`
`(package private) boolean` | `_hidden`
`(package private) String` | `_name`
`(package private) int` | `_offset`
`(package private) CellRenderer` | `_renderer`
`private static CellRenderer` | `DEFAULT_RENDERER`

Constructor Summary
`WebTableColumn(String name, int offset)`

Method Summary
`String` | `getDisplayName()`
`String` | `getName()`
`int` | `getOffset()`
`CellRenderer` | `getRenderer()`
`boolean` | `isHidden()`
`boolean` | `isVisible()`
`void` | `setDisplayName(String displayName)`
`void` | `setHidden(boolean hidden)`
`void` | `setRenderer(CellRenderer renderer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_RENDERER

    private static final CellRenderer DEFAULT_RENDERER

### _renderer

    CellRenderer _renderer

### _displayName

    String _displayName

### _name

    String _name

### _hidden

    boolean _hidden

### _offset

    int _offset

Constructor Detail

### WebTableColumn

    public WebTableColumn(String name,
                          int offset)

Method Detail

### setDisplayName

    public void setDisplayName(String displayName)

### getDisplayName

    public String getDisplayName()

### setHidden

    public void setHidden(boolean hidden)

### isHidden

    public boolean isHidden()

### getName

    public String getName()

### getOffset

    public int getOffset()

### setRenderer

    public void setRenderer(CellRenderer renderer)

### getRenderer

    public CellRenderer getRenderer()

### isVisible

    public boolean isVisible()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.